View Issue Details

IDProjectCategoryView StatusLast Update
0000587Apache 2.x Bugpublic2019-11-01 12:35
ReporterIgor VaskovAssigned ToSteven Levine 
PriorityhighSeveritycrashReproducibilityrandom
Status closedResolutionfixed 
PlatformIntel x86OSECSOS Version2.0
Product Version 
Target VersionFixed in Version 
Summary0000587: fmutex deadlock and share memory leak Apache 2.2.24
DescriptionAfter a long use of shared memory leak is present and the errors in the log file.
As a result, the server does not have enough memory to handle the requests. PHP produces strange errors related to the lack of memory in the system.
The operating system becomes unstable. As a result, requires a complete reboot.
TagsNo tags attached.

Activities

Igor Vaskov

2013-10-26 17:57

reporter  

traps.zip (55,559 bytes)

Igor Vaskov

2013-10-26 17:58

reporter  

error_log (29,481 bytes)
Creating 5542_0A.TRP

Killed by SIGSEGV
pid=0x5542 ppid=0x553d tid=0x000a slot=0x00a6 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
UCV32 0:000046c7
cs:eip=005b:1f9946c7      ss:esp=0053:029fe7d0      ebp=029fe7dc
 ds=0053      es=0053      fs=150b      gs=0000     efl=00010297
eax=02630000 ebx=00000043 ecx=02630200 edx=06f3fc18 edi=06f3fe20 esi=1ba10489
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
CS Version:  2.45
 # of Processors:  4
 Physical Memory:  3055 mb
 Virt Addr Limit:  1536 mb
 Exceptq Version:  7.10 (Mar  1 2011)

______________________________________________________________________

 Exception C0000005 - Access Violation
______________________________________________________________________

 Process:  E:\APPS\APACHE2\BIN\HTTPD.EXE
 PID:      5541 (21825)
 TID:      04 (4)
 Priority: 200


 ** Exceptq trapped **

Killed by SIGSEGV
pid=0x5541 ppid=0x553d tid=0x0004 slot=0x012d pri=0x0200 mAPACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.
APACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.
5f10068 ebx=0000ffff ecx=15f10068 edx=00000000 edi=00000000 esi=00000000
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
Creating 68AA_03.TRP

Killed by SIGSEGV
pid=0x68aa ppid=0x553d tid=0x0003 slot=0x0201 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
UCV32 0:000046c7
cs:eip=005b:1f9946c7      ss:esp=0053:0283e7d0      ebp=0283e7dc
 ds=0053      es=0053      fs=150b      gs=0000     efl=00010297
eax=02630000 ebx=00000043 ecx=02630200 edx=02c6fd28 edi=02c6ff30 esi=1ba10489
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
Creating 6F94_10.TRP

Killed by SIGSEGV
pid=0x6f94 ppid=0x553d tid=0x0010 slot=0x009d pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
UCV32 0:00005b56
cs:eip=005b:1f995b56      ss:esp=0053:02b7d4b4      ebp=02b7d500
 ds=0053      es=0053      fs=150b      gs=0000     efl=00010206
eax=02630000 ebx=00000210 ecx=0000afb0 edx=00000000 edi=02ad5050 esi=1ba10489
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
[Wed Sep 18 16:11:51 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
[Wed Sep 18 21:49:37 2013] [notice] caught SIGTERM, shutting down
[Wed Sep 18 21:49:48 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
** Secondary exception C0000005 occurred in TID 34 at cs:eip 005B:1F9949C6 **
** Exceptq report suppressed - exceptq in use by TID 4 **

Killed by SIGSEGV
pid=0x85d3 ppid=0x85cb tid=0x0022 slot=0x0108 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
UCV32 0:000049c6
cs:eip=005b:1f994APACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.
  efl=00010217
eax=02b01ea0 ebx=0000000c ecx=00000043 edx=02b01ea0 edi=093fd86c esi=093fd968
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
Creating 85D3_04.TRP
APACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.
APACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.
[Mon Sep 23 00:56:21 2013] [notice] caught SIGTERM, shutting down
[Mon Sep 23 00:57:39 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Mon Sep 23 00:57:42 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
APACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.
[Tue Sep 24 01:27:43 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Sep 24 01:27:43 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Sep 24 01:27:49 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
[Tue Sep 24 01:27:49 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
[Tue Sep 24 01:31:39 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Sep 24 01:31:39 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Sep 24 01:52:16 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Sep 24 01:52:16 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
APACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.
[Thu Sep 26 00:27:36 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Thu Sep 26 00:27:36 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
APACHE2: UnableToOpenConfigurAPACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configureAPACHE2: UnableToOpenConfigurAPACHE2: UnableToOpenConfigureFile `delegates.xml' @ warning/configure.c/GetConfigureOptions/591.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x0063013c: Owner=0x00450001 Self=0x00450001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0x0045 ppid=0x003c tid=0x0001 slot=0x0096 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
[Mon Oct 07 18:02:03 2013] [notice] caught SIGTERM, shutting down
[Mon Oct 07 18:03:44 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Mon Oct 07 18:03:47 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
[Tue Oct 08 02:48:12 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Oct 08 02:48:12 2013] [notice] Apache/2.2.24 (OS/2) PHP/5.4.19 configured -- resuming normal operations
[Tue Oct 08 02:48:23 2013] [notice] caught SIGTERM, shutting down
[Tue Oct 08 02:53:37 2013] [notice] Apache/2.2.24 (OS/2) PHP/5.4.19 configured -- resuming normal operations
[Tue Oct 08 02:53:39 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
[Tue Oct 08 02:57:59 2013] [notice] caught SIGTERM, shutting down
[Tue Oct 08 02:59:44 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Oct 08 03:00:57 2013] [notice] caught SIGTERM, shutting down
[Tue Oct 08 03:04:43 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Oct 08 03:55:31 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Oct 08 03:55:31 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Oct 08 03:55:33 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
[Tue Oct 08 10:11:45 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
[Tue Oct 08 14:17:00 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Oct 08 14:17:00 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Oct 08 16:29:45 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Oct 08 16:29:45 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Oct 08 17:12:35 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Oct 08 17:12:35 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Oct 08 18:19:31 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Oct 08 18:19:31 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
[Tue Oct 08 18:42:04 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Tue Oct 08 18:42:04 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
he system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
[Sun Oct 13 14:12:17 2013] [notice] caught SIGTERM, shutting down
[Sun Oct 13 14:12:56 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.

S1804: The system cannot find the file MAGISYS18SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the fileSYS1804: The system cannot find the file MAGICK.
SYS1804: TSYS1804: The system cannot find the file
AGICK.
SYS1804: The system cannot find the file MAGICK.


cs:eip=005b:1dd0f86a      ss:esp=0053:127bfb14      ebp=127bfb14
 ds=0053      es=0053      fs=150b      gs=0000     efl=00010212
eax=223d746e ebx=00002008 ecx=007942c0 edx=00000005 edi=00002000 esi=12d196a0
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
[Thu Oct 17 18:18:14 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGISYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
Creating A440_0B.TRP

Killed by SIGSEGV
pid=0xa440 ppid=0x5225 tid=0x000b slot=0x00dd pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
PHP5 0:006943f5
cs:eip=005b:1dd443f5      ss:esp=0053:0b37f93c      ebp=0b37f964
 ds=0053      es=0053      fs=150b      gs=0000     efl=00010216
eax=12322730 ebx=12fbcb04 ecx=00000006 edx=0000063c edi=12fbcb1cSYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
Creating CDD8_0B.TRP

Killed by SIGSEGV
pid=0xcdd8 ppid=0x5225 tid=0x000b slot=0x00d4 pri=0x0200 mc=0x0001
E:\APPS\APACHE2\BIN\HTTPD.EXE
LIBC065 0:00067a3f
cs:eip=005b:1eb67a3f      ss:esp=0053:04fbe02c      ebp=04fbe044
 ds=0053      es=0053      fs=150b      gs=0000     efl=00010212
eax=0517ffb8 ebx=00000000 ecx=00000010 edx=05SYS1804: The system cannot find the file MAGICK.
was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

LIBC PANIC!!
fmutex deadlock: Owner died!
0x0063013c: Owner=0xcdd8000b Self=0xcdd80001 fs=0x3 flags=0x0 hev=0x00010050
            Desc="LIBC Heap"
pid=0xcdd8 ppid=0x5225 tid=0x0001 slot=0x0066 pri=0x0200 mc=0x0000
E:\APPS\APACHE2\BIN\HTTPD.EXE
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.
 disabled, use DUMPPROC / PROCDUMP to enable it.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
[Sat Oct 26 10:53:47 2013] [warn] pid file E:/Apps/apache2/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Sat Oct 26 10:53:47 2013] [notice] Apache/2.2.24 (OS/2) configured -- resuming normal operations
error_log (29,481 bytes)

Igor Vaskov

2013-10-30 05:17

reporter   ~0002570

Very fast leak shared memory.I have to overload the Apache server every day. When the application closes the memory is freed.

Steven Levine

2013-10-30 16:01

manager   ~0002571

This may look like a leak to you, but it's unlikely to be a leak. This appears to be heap corruption, probably caused by a php defect.

The reason I say it's not a leak is that heap code will not trap if it runs out of memory. It will return a NULL pointer to the caller. The caller may trap if it attempts to use this pointer, but then the .trp file will show this clearly. Some of the older .trp files give some evidence of this occuring.

What needs to be done next is determine what PHP was doing when it corrupted the heap. Looking at the AF72_1E.TRP and CDD8_0B.TRP it seems to be some combination of XML parsing and PHP file I/O that is common to both.

It would be good to understand what is causing the

 (OS 343)OS/2 error 343: unable to open work queue, exiting

errors to occur.

I recommend you upgrade to httpd 2.2.25. It's got some fixes and should be easier for Paul and I to analyze.

Igor Vaskov

2013-10-31 02:24

reporter   ~0002572

Thank you. I am migrating to a new version of Apache and php.

Igor Vaskov

2013-11-04 22:53

reporter   ~0002573

Last edited: 2013-11-04 22:54

View 2 revisions

After migrating to Apache version 2.2.25 (and latest php build) of the continuing leakage of shared memory. None of the traps do not. This log contains the following entries:
[Wed Oct 30 20:15:04 2013] [notice] Apache/2.2.25 (OS/2) configured -- resuming normal operations
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGISYS18SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
04: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
stem cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGISYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
[Mon Nov 04 03:02:51 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
SYS1804: The system cannot find the file MAGICK.
SYS1804: The system cannot find the file MAGICK.
[Mon Nov 04 16:01:58 2013] [notice] caught SIGTERM, shutting down
[Mon Nov 04 16:05:49 2013] [notice] Apache/2.2.25 (OS/2) configured -- resuming normal operations
[Mon Nov 04 16:05:54 2013] [error] (OS 343)OS/2 error 343: unable to open work queue, exiting
----------------------------------------------------------------
What is this file MAGICK? Maybe it is an attack by hackers on my site?

Steven Levine

2013-11-05 15:32

manager   ~0002574

You said:

"After migrating to Apache version 2.2.25 (and latest php build) of the continuing leakage of shared memory. None of the traps do not."

Are you saying the shared memory leak continues, but 2.2.25 resolves the other exceptions?

You asked:

"What is this file MAGICK? Maybe it is an attack by hackers on my site?"

I don't think it is not hacker related. I recommend you correlate the error log entries with the matching access log entries. I wonder if some bit of php code is trying to run ImageMagick?

It's possible that you have a magick.dll and the load is failing intermittently. Do you have one of these in your apache directory tree?

Igor Vaskov

2013-11-06 05:10

reporter   ~0002576

After upgrading to Apache 2.2.25 has not yet been traps. Maybe they still will.

Any files yet named magick.* not in the system.

From the package ImageMagick I only use the file convert.exe.

Set the according to the log records can not be. There are no time stamps in the error_log.

Steven Levine

2013-11-06 06:34

manager   ~0002577

There are not a lot of timestamps, but there are some. What you need to do is look at the access logs between the timestamps that you do have and figure out which GET requests are related to the failure. I pulled a copy of ImageMagick and convert.exe definitely uses magick.dll. What you need to do is figure out what conditions allow the failure to occur. Is the magick.dll directory in LIBPATH or elsewhere?

Regarding the possible memory leak, I recommend you use Theseus to understand what kind of memory is leaking.

Igor Vaskov

2013-11-06 14:30

reporter   ~0002578

Last edited: 2013-11-06 14:34

View 2 revisions

Thank you very much. It's my fault. I forgot to put in libpath the magick.dll.

But if this could cause leakage of shared memory?

Steven Levine

2015-01-14 06:37

manager   ~0003014

Can this ticket be closed or is the issue still occuring with the most recent httpd/php builds?

Steven Levine

2019-11-01 12:35

manager   ~0003368

Closing as stale.

Please open a new ticket if the issue reoccurs with current builds.

Issue History

Date Modified Username Field Change
2013-10-26 17:57 Igor Vaskov New Issue
2013-10-26 17:57 Igor Vaskov File Added: traps.zip
2013-10-26 17:58 Igor Vaskov File Added: error_log
2013-10-30 05:17 Igor Vaskov Note Added: 0002570
2013-10-30 16:01 Steven Levine Note Added: 0002571
2013-10-31 02:24 Igor Vaskov Note Added: 0002572
2013-11-04 22:53 Igor Vaskov Note Added: 0002573
2013-11-04 22:54 Igor Vaskov Note Edited: 0002573 View Revisions
2013-11-05 15:32 Steven Levine Note Added: 0002574
2013-11-06 05:10 Igor Vaskov Note Added: 0002576
2013-11-06 06:34 Steven Levine Note Added: 0002577
2013-11-06 14:30 Igor Vaskov Note Added: 0002578
2013-11-06 14:34 Igor Vaskov Note Edited: 0002578 View Revisions
2015-01-14 06:37 Steven Levine Note Added: 0003014
2015-01-14 06:37 Steven Levine Assigned To => Steven Levine
2015-01-14 06:37 Steven Levine Status new => feedback
2019-11-01 12:35 Steven Levine Status feedback => closed
2019-11-01 12:35 Steven Levine Resolution open => fixed
2019-11-01 12:35 Steven Levine Note Added: 0003368